package com.xingyue.atbird.cs.invoker;

import com.xingyue.atbird.cs.dto.BaseResponseDTO;
import com.xingyue.atbird.cs.util.ExecUtils;
import com.xingyue.atbird.cs.util.ResultUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

@Slf4j
@RestController
@RequestMapping("/invoker")
public class TestInvoker {

    private static String CALLBACK = "http://localhost:8198/listener/callback.do";

    @RequestMapping(value = "/test.do")
    public BaseResponseDTO test(String exepath) throws InterruptedException {
        String uuid = UUID.randomUUID().toString();
        System.out.println(uuid);
        String cmd = "cmd /c start " + exepath + " " + uuid + " " + CALLBACK;
        String result = ExecUtils.exec(cmd);
        System.out.println(result);
        while (!ResultUtils.RESULT_MAP.containsKey(uuid)){
            Thread.sleep(500);
        }
        Object callresult = ResultUtils.RESULT_MAP.get(uuid);
        return BaseResponseDTO.OK(callresult);
    }
}
