package com.xingyue.atbird.cs.listener;

import com.xingyue.atbird.cs.dto.BaseResponseDTO;
import com.xingyue.atbird.cs.dto.CallBackDTO;
import com.xingyue.atbird.cs.util.ResultUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/listener")
public class CallBackListener {
    @RequestMapping(value = "/callback.do")
    public BaseResponseDTO callback(@RequestBody CallBackDTO callBackDTO) {
        ResultUtils.RESULT_MAP.put(callBackDTO.getUuid(), callBackDTO.getResult());
        return BaseResponseDTO.OK("callback ok: " + callBackDTO.getUuid());
    }
}
