package com.xingyue.atbird.cs.dto;

public class BaseResponseDTO {
    private Integer code;
    private String message;
    private Object data;
    public static final BaseResponseDTO OK;

    public static BaseResponseDTO OK(Object data) {
        return new BaseResponseDTO(HttpStatus.OK, data);
    }

    public BaseResponseDTO() {
    }

    public BaseResponseDTO(HttpStatus status, Object object) {
        this.code = status.getCode();
        this.message = status.getMessage();
        this.data = object;
    }

    public BaseResponseDTO(HttpStatus status) {
        this.code = status.getCode();
        this.message = status.getMessage();
    }

    public Integer getCode() {
        return this.code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getData() {
        return this.data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    public void setBaseResponseDTO(HttpStatus status, Object object) {
        this.code = status.getCode();
        this.message = status.getMessage();
        this.data = object;
    }

    public void setBaseResponseDTO(HttpStatus status) {
        this.code = status.getCode();
        this.message = status.getMessage();
    }

    static {
        OK = new BaseResponseDTO(HttpStatus.OK);
    }
}